function WinUpdate_WindowsUpdate()
{
	var prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('windowsupdate.settings.');

	var sUpdateURL = "http://windowsupdate.microsoft.com";
	if (prefService.prefHasUserValue('WindowsUpdate_URL'))
	{
		sUpdateURL = prefService.getCharPref('WindowsUpdate_URL');
	}

	WinUpdate_Explorer(sUpdateURL);
}

function WinUpdate_Explorer(sArgs)
{
	var objProps = Components.classes['@mozilla.org/file/directory_service;1'].createInstance(Components.interfaces.nsIProperties);
	var sWinPath = objProps.get("WinD", Components.interfaces.nsIFile).path;
	var sFilePath = sWinPath + "\\explorer.exe";

	var objFileComponent = Components.classes['@mozilla.org/file/local;1'].createInstance(Components.interfaces.nsILocalFile);
	objFileComponent.initWithPath(sFilePath);

	if (!objFileComponent.exists())
	{
		alert("Could not find Windows Explorer");
		return false;
	}

	var objProcess = Components.classes['@mozilla.org/process/util;1'].getService(Components.interfaces.nsIProcess);
	objProcess.init(objFileComponent);

	var aArgs = new Array();
	aArgs.push(sArgs);

	objProcess.run(false, aArgs, aArgs.length, {});
	return true;
}
