var objWindowsUpdateOptions = {
	WUOptions_Init: function()
	{
		this.prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('windowsupdate.settings.');

		this.ndUpdateURL = document.getElementById('windowsupdate_url');
		this.ndUpdateURL.value = "http://windowsupdate.microsoft.com";

		if (this.prefService.prefHasUserValue('WindowsUpdate_URL'))
		{
			this.ndUpdateURL.value = this.prefService.getCharPref('WindowsUpdate_URL');
		}
	},

	WUOptions_Update: function()
	{
		this.prefService.setCharPref('WindowsUpdate_URL', this.ndUpdateURL.value);
	}
};